Avro C++

Namespaces | Functions
AvroParse.hh File Reference
`#include "AvroTraits.hh"`
`#include "Config.hh"`
`#include "ResolvingReader.hh"`

Go to the source code of this file.

## Namespaces
| avro
| A bunch of templates and specializations for encoding and decoding specific types.

## Functions
template<typename Reader , typename T >
void | avro::parse (Reader &p, T &val)
| The main parse entry point function. More...
template<typename T >
void | avro::parse (ResolvingReader &p, T &val)
template<typename Reader , typename T >
void | avro::parse (Reader &p, T &val, const std::false_type &)
| Type trait should be set to is_serializable in otherwise force the compiler to complain.
template<typename Reader , typename T >
void | avro::translatingParse (Reader &p, T &val, const std::false_type &)
template<typename Reader , typename T >
void | avro::parse (Reader &p, T &val, const std::true_type &)
| The remainder of the file includes default implementations for serializable types.
template<typename Reader >
void | avro::parse (Reader &p, std::vector< uint8_t > &val, const std::true_type &)
template<typename T >
void | avro::translatingParse (ResolvingReader &p, T &val, const std::true_type &)

## Detailed Description

Standalone parse functions for Avro types.